Skip to content

Create Finetune Job

POST
/v1/finetune

Start a new finetune job.

Creates a training job for fine-tuning a VLA model on the specified dataset. Camera mappings must map model camera slots to valid dataset image keys. Use GET /v1/datasets/{dataset_id}/image-keys to discover available keys.

x-api-key
required
X-Api-Key
string
FinetuneRequest

Request to start a finetune job.

object
project_id
required
Project Id

Project ID to associate the job with

string format: uuid
model_id
Any of:
string
vla_type
required
VLAType

VLA model type (determines camera slot configuration)

string
Allowed values: act smolvla pi0 pi05 gr00t_n1_5 sarm
dataset_id
required
Dataset Id

HuggingFace dataset ID

string
hours
required
Hours

Training duration in hours

number
> 0 <= 168
instance_type
Any of:
string
region
Any of:
string
batch_size
Batch Size

Training batch size

integer
default: 32 >= 1 <= 512
name
Any of:
string
<= 255 characters
camera_mappings
required
Camera Mappings

Camera mappings from model camera slots to dataset image keys.

object
key
additional properties
string
Example
{
"cam_1": "observation.images.top",
"cam_2": "observation.images.wrist",
"cam_3": "observation.images.front"
}
vla_hyper_spec
Any of:
object
key
additional properties
any
use_rabc
Use Rabc

Whether to use SARM Reward-Aware Behavior Cloning (RA-BC) for training

boolean
sarm_reward_model_path
Any of:
string
rabc_head_mode
Rabc Head Mode

SARM head mode to use: ‘sparse’, ‘dense’, or ‘both’

string
default: sparse
sarm_image_observation_key
Any of:
string

Finetune job created successfully

FinetuneResponse

Response after creating a finetune job.

object
job_id
required
Job Id

Unique job identifier

string format: uuid
status
required
Status

Current job status

string
message
Any of:
string

Invalid camera mappings or request parameters

ErrorResponse

Standard error response.

object
detail
required
Detail

Error message describing what went wrong

string

Invalid or missing API key

ErrorResponse

Standard error response.

object
detail
required
Detail

Error message describing what went wrong

string

Validation error